=== debian/changelog ===
openvpn-auth-okta (2.9.0) stable; urgency=medium

  [ Jeremy JACQUE ]
  * chore(doc): update list of available distro / arch
  * feat: add an potion to configure a separator between the VPN password and the TOTP passcode
  * chore(validator): ensure the separator length is 1 - a character
  * clean(validator/test): the TestParsePassword func has been move to utils test
  * chore: add missing test for separator validity in ini file

  [ dependabot[bot] ]
  * chore(deps): bump github.com/go-playground/validator/v10
  * chore(deps): bump github.com/phuslu/log from 1.0.117 to 1.0.119

 -- Jeremy JACQUE <jeremy.jacque@algolia.com>  Tue, 19 Aug 2025 14:03:31 +0200

openvpn-auth-okta (2.8.6) stable; urgency=medium

  [ dependabot[bot] ]
  * chore(deps): bump github.com/go-playground/validator/v10
  * chore(deps): bump github.com/go-playground/validator/v10
  * chore(deps): bump golang.org/x/net from 0.34.0 to 0.36.0

  [ Jeremy JACQUE ]
  * chore(test): use linkname to access OktaApiAuth pool in validator tests
  * chore(deps): bump go to 1.24.1

  [ dependabot[bot] ]
  * chore(deps): bump github.com/phuslu/log from 1.0.113 to 1.0.117

  [ dependabot[bot] ]
  * chore(deps): bump golang.org/x/net from 0.36.0 to 0.38.0

  [ dependabot[bot] ]
  * chore(deps): bump github.com/go-playground/validator/v10
  * chore(dist): Update changelog for 2.8.6 release

 -- Jeremy JACQUE <jeremy.jacque@algolia.com>  Wed, 30 Apr 2025 20:22:00 +0200

openvpn-auth-okta (2.8.5) stable; urgency=medium

  [ dependabot[bot] ]
  * chore(deps): bump github.com/go-playground/validator/v10
  * chore(deps): bump github.com/phuslu/log from 1.0.107 to 1.0.110
  * chore(deps): bump github.com/phuslu/log from 1.0.110 to 1.0.111
  * chore(deps): bump github.com/phuslu/log from 1.0.111 to 1.0.112
  * chore(deps): bump github.com/phuslu/log from 1.0.112 to 1.0.113
  * chore(deps): bump github.com/go-playground/validator/v10
  * chore(deps): bump github.com/stretchr/testify from 1.9.0 to 1.10.0
  * chore(deps): bump golang.org/x/crypto from 0.21.0 to 0.31.0

  [ Jeremy JACQUE ]
  * chore(deps): set go version to 1.22
  * chore(ci): update codacy-coverage-reporter orb to 14.0.2
  * chore: update go to 1.23
  * chore(ci): update golangci-lint to 1.62.2

 -- Jeremy JACQUE <jeremy.jacque@algolia.com>  Thu, 12 Dec 2024 14:30:57 +0100

openvpn-auth-okta (2.8.4) stable; urgency=medium

  [ dependabot[bot] ]
  * chore(deps): bump github.com/phuslu/log from 1.0.106 to 1.0.107

  [ Jeremy JACQUE ]
  * chore(oktaApiAuth): use Chrome on Linux user agent along with Sec-CH headers
  * chore(oktaApiAuth): improve Push factor debugging

 -- Jeremy JACQUE <jeremy.jacque@algolia.com>  Mon, 01 Jul 2024 11:56:41 +0000

openvpn-auth-okta (2.8.3) stable; urgency=medium

  [ dependabot[bot] ]
  * chore(deps): bump github.com/phuslu/log from 1.0.97 to 1.0.100
  * chore(deps): bump github.com/phuslu/log from 1.0.100 to 1.0.101
  * chore(deps): bump github.com/phuslu/log from 1.0.101 to 1.0.102
  * chore(deps): bump github.com/go-playground/validator/v10

  [ Jeremy JACQUE ]
  * chore(dist): build using Golang 1.22
  * chore(doc): fix codacy warnings in README
  * chore(ci): disable codacy checks for fixtures and test code
  * chore(doc): add codacy badge
  * fix(Makefile): /etc/os-release does not exist on MacOS, test before sourcing
  * chore(ci): push coverage report to Codacy
  * chore(lib): deduplicate identical piece of code
  * chore(doc): fix more markdown warnings

  [ dependabot[bot] ]
  * chore(deps): bump github.com/phuslu/log from 1.0.102 to 1.0.106

  [ dependabot[bot] ]
  * chore(deps): bump github.com/go-playground/validator/v10
  * chore: use sentinel errors when possible
  * fix(oktaApiAuth): do not print authRes.Result when it is empty
  * refacto(oktaApiAuth): dedup JSON api response processing
  * chore(doc): update coverage badge
  * fix(oktaApiAuth): gofmt
  * test(oktaApiAuth): use assert.EqualError instead of assert.Equal
  * test: use testify dedicated errors functions
  * fix: use a valid hardcoded user agent
  * chore(doc): update available package distros and archs
  * fix(oktaApiAuth): respect Go style guide
  * fix(oktaApiAuth): use fmt.Errorf instead of errors.New of fmt string
  * refacto(oktaApiAuth): simplify Okta Auth error handling using wrappers
  * chore(doc): update coverage badge
  * fix(oktaApiAuth): wrong authRes variable was tested
  * test(oktaApiAuth): add tests for parseOktaError

 -- Jeremy JACQUE <jeremy.jacque@algolia.com>  Wed, 26 Jun 2024 17:26:52 +0000

openvpn-auth-okta (2.8.2) stable; urgency=medium

  [ dependabot[bot] ]
  * chore(deps): bump github.com/stretchr/testify from 1.8.4 to 1.9.0
  * chore(deps): bump github.com/go-playground/validator/v10
  * chore(deps): bump github.com/phuslu/log from 1.0.88 to 1.0.89
  * chore(deps): bump github.com/phuslu/log from 1.0.89 to 1.0.90
  * chore(deps): bump golang.org/x/net from 0.21.0 to 0.23.0
  * chore(deps): bump github.com/phuslu/log from 1.0.90 to 1.0.91
  * chore(deps): bump github.com/go-playground/validator/v10
  * chore(deps): bump github.com/phuslu/log from 1.0.91 to 1.0.92
  * chore(deps): bump github.com/phuslu/log from 1.0.92 to 1.0.93
  * chore(deps): bump github.com/phuslu/log from 1.0.93 to 1.0.96
  * chore(deps): bump github.com/phuslu/log from 1.0.96 to 1.0.97

  [ Jeremy JACQUE ]
  * feat(lib): allow to use a struct for PluginEnv
  * feat(lib): provide a way to compute lib args from plugin envp, args passed as a struct
  * fix(Makefile): use proper inc dirs for gcc and cppcheck
  * feat(lib): rename the C function computing args
  * doc: add some comments
  * fix(lib): gotfmt
  * chore(lib): let the user allocate and free himself the ArgsOktaAuthValidatorV2 struct
  * refacto(plugin): mutualize error code during lib related calls
  * chore(cmd): add missing license header

 -- Jeremy Jacque <jeremy.jacque@algolia.com>  Tue, 07 May 2024 12:47:00 +0000

openvpn-auth-okta (2.8.1) stable; urgency=medium

  [ dependabot[bot] ]

